[Deprecated]: V3.0

post

/ec-designer-svc/rest/v3.0/studies/{studyId}/versions/{version}/kits

Deprecated: Use latest version instead. Creates a kit definition in the specified study version. The request provides kit settings, unit settings, dosing details, titration settings, and advanced dosing groups when applicable. The response returns the created kit definition.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : KitDto v3.0
Type: object
Title: KitDto v3.0
Kit details.
Show Source
Nested Schema : dosings
Type: array
Show Source
Nested Schema : KitSettingsDto v3.0
Type: object
Title: KitSettingsDto v3.0
Contains settings information on the kit.
Show Source
Nested Schema : kitTitrations
Type: array
Show Source
Nested Schema : KitUnitSettingsDto v3.0
Type: object
Title: KitUnitSettingsDto v3.0
Contains unit settings information on the kit.
Show Source
Nested Schema : KitDosingDto v3.0
Type: object
Title: KitDosingDto v3.0
Information on a calculated dose.
Show Source
Nested Schema : KitDosingDoseDto v3.0
Type: object
Title: KitDosingDoseDto v3.0
Dose information on the calculated dose.
Show Source
Nested Schema : KitDosingMeasurementDto v3.0
Type: object
Title: KitDosingMeasurementDto v3.0
Kit and subject measurement information on a calculated dose.
Show Source
Nested Schema : KitDosingQuestionDto v3.0
Type: object
Title: KitDosingQuestionDto v3.0
Form and question information on the calculated dose.
Show Source
Nested Schema : KitDosingVisitDto v3.0
Type: object
Title: KitDosingVisitDto v3.0
Visit information on the calculated dose.
Show Source
Nested Schema : KitDosingValueUnitsDto v3.0
Type: object
Title: KitDosingValueUnitsDto v3.0
Describes the value/unit pair of the measurement on the calculated dose.
Show Source
Nested Schema : KitTitrationsDto v3.0
Type: object
Title: KitTitrationsDto v3.0
Contains titrations information on the titration kit.
Show Source
Nested Schema : TitrationKitItemsDto v3.0
Type: object
Title: TitrationKitItemsDto v3.0
Titration Kit Items
Show Source
Nested Schema : titrationKitItems
Type: array
Show Source
Nested Schema : TitrationKitItemDto v3.0
Type: object
Title: TitrationKitItemDto v3.0
Titration Kit Item
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : KitDto v3.0
Type: object
Title: KitDto v3.0
Kit details.
Show Source
Nested Schema : dosings
Type: array
Show Source
Nested Schema : KitSettingsDto v3.0
Type: object
Title: KitSettingsDto v3.0
Contains settings information on the kit.
Show Source
Nested Schema : kitTitrations
Type: array
Show Source
Nested Schema : KitUnitSettingsDto v3.0
Type: object
Title: KitUnitSettingsDto v3.0
Contains unit settings information on the kit.
Show Source
Nested Schema : KitDosingDto v3.0
Type: object
Title: KitDosingDto v3.0
Information on a calculated dose.
Show Source
Nested Schema : KitDosingDoseDto v3.0
Type: object
Title: KitDosingDoseDto v3.0
Dose information on the calculated dose.
Show Source
Nested Schema : KitDosingMeasurementDto v3.0
Type: object
Title: KitDosingMeasurementDto v3.0
Kit and subject measurement information on a calculated dose.
Show Source
Nested Schema : KitDosingQuestionDto v3.0
Type: object
Title: KitDosingQuestionDto v3.0
Form and question information on the calculated dose.
Show Source
Nested Schema : KitDosingVisitDto v3.0
Type: object
Title: KitDosingVisitDto v3.0
Visit information on the calculated dose.
Show Source
Nested Schema : KitDosingValueUnitsDto v3.0
Type: object
Title: KitDosingValueUnitsDto v3.0
Describes the value/unit pair of the measurement on the calculated dose.
Show Source
Nested Schema : KitTitrationsDto v3.0
Type: object
Title: KitTitrationsDto v3.0
Contains titrations information on the titration kit.
Show Source
Nested Schema : TitrationKitItemsDto v3.0
Type: object
Title: TitrationKitItemsDto v3.0
Titration Kit Items
Show Source
Nested Schema : titrationKitItems
Type: array
Show Source
Nested Schema : TitrationKitItemDto v3.0
Type: object
Title: TitrationKitItemDto v3.0
Titration Kit Item
Show Source
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top